Subject: [OSPF] RFC 3623 Ambiguity

From: Acee Lindem <[email-masked]>
Date: Tue, 4 May 2010 17:52:51 -0400

It has come to my attention that the behavior for helper routers during a graceful restart in RFC 3623 suffers from multiple interpretations.

Here is the excerpt from section 3.2, page 8:

  When Router Y exits helper mode for X on a given network segment, it

   reoriginates its LSAs based on the current state of its adjacency to
   Router X over the segment.  In detail, Y takes the following actions:

      a) Y recalculates the Designated Router for the segment,

      b) Y reoriginates its router-LSA for the segment's OSPF area,

      c) if Y is Designated Router for the segment, it reoriginates the
         network-LSA for the segment and

      d) if the segment was a virtual link, Y reoriginates its router-
         LSA for the virtual link's transit area.

I know what what was meant by this text since I was one of the authors. For robustness, the restarting router will reoriginate its Router-LSAs and Network-LSAs as described in section 2.3. However the phrase "based on the current state of its adjacency to Router X over the segment" was meant to mean that the helper routers would reoriginate their LSAs when graceful restart constituted a change to the LSA. However,  it appears some have interpreted this to mean that the helper should unconditionally reoriginate its LSAs. I know one popular test equipment vendor interpreted it in this manner. I'd be curious as to whether others interpreted it this way as well.

Thanks,
Acee